loci.formats

## Class FileStitcher.ExternalSeries

- java.lang.Object
- - loci.formats.FileStitcher.ExternalSeries

- Enclosing class:
    FileStitcher

      class FileStitcher.ExternalSeries
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AxisGuesser` | `ag`
    `private byte[]` | `blankThumbBytes`
    `private java.lang.String[]` | `files`
    `private int` | `imagesPerFile`
    `private java.lang.String` | `originalOrder`
    `private FilePattern` | `pattern`
    `private DimensionSwapper[]` | `readers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalSeries(FilePattern pattern)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `close(boolean fileOnly)`
    `AxisGuesser` | `getAxisGuesser()`
    `byte[]` | `getBlankThumbBytes()`
    `FilePattern` | `getFilePattern()`
    `java.lang.String[]` | `getFiles()`
    `int` | `getImagesPerFile()`
    `java.lang.String` | `getOriginalOrder()`
    `DimensionSwapper` | `getReader(int fno)`
    `DimensionSwapper[]` | `getReaders()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### readers

          private DimensionSwapper[] readers

    - #### files

          private java.lang.String[] files

    - #### pattern

          private FilePattern pattern

    - #### blankThumbBytes

          private byte[] blankThumbBytes

    - #### originalOrder

          private java.lang.String originalOrder

    - #### ag

          private AxisGuesser ag

    - #### imagesPerFile

          private int imagesPerFile

  - ### Constructor Detail

    - #### ExternalSeries

          public ExternalSeries(FilePattern pattern)
                         throws FormatException,
                                java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

  - ### Method Detail

    - #### getReader

          public DimensionSwapper getReader(int fno)

    - #### getReaders

          public DimensionSwapper[] getReaders()

    - #### getFilePattern

          public FilePattern getFilePattern()

    - #### getOriginalOrder

          public java.lang.String getOriginalOrder()

    - #### getAxisGuesser

          public AxisGuesser getAxisGuesser()

    - #### getBlankThumbBytes

          public byte[] getBlankThumbBytes()

    - #### getFiles

          public java.lang.String[] getFiles()

    - #### getImagesPerFile

          public int getImagesPerFile()

    - #### close

          public void close()

    - #### close

          public void close(boolean fileOnly)

Copyright © 2026 Open Microscopy Environment